Class TextQuerySearchInputTransformer
java.lang.Object
com.atlassian.jira.issue.search.searchers.transformer.AbstractSearchInputTransformer
com.atlassian.jira.issue.search.searchers.transformer.TextQuerySearchInputTransformer
- All Implemented Interfaces:
SearchInputTransformer
A transformer that handles the 2012 Issue Search interface.
- Since:
- v5.2
-
Field Summary
Fields inherited from class com.atlassian.jira.issue.search.searchers.transformer.AbstractSearchInputTransformer
fieldsKey, id, operandResolver -
Constructor Summary
ConstructorsConstructorDescriptionTextQuerySearchInputTransformer(String id, ClauseInformation information, JqlOperandResolver operandResolver) -
Method Summary
Modifier and TypeMethodDescriptionbooleandoRelevantClausesFitFilterForm(ApplicationUser user, Query query, SearchContext searchContext) Tells the caller whether or not the relevant clauses from the passed query can be represented on the issue navigator.getSearchClause(ApplicationUser user, FieldValuesHolder fieldValuesHolder) Gets the portion of the Search Query that this searcher is responsible for.voidpopulateFromParams(ApplicationUser user, FieldValuesHolder fieldValuesHolder, ActionParams actionParams) PopulateFieldValuesHolderobject with whatever values the searcher is interested in from theActionParams.voidpopulateFromQuery(ApplicationUser user, FieldValuesHolder fieldValuesHolder, Query query, SearchContext searchContext) This method transforms any query information contained in the query that is relevant to this SearchInputTransformer into the values that the HTML rendering expects.Methods inherited from class com.atlassian.jira.issue.search.searchers.transformer.AbstractSearchInputTransformer
getValueForField, getValueForField, hasDuplicates, hasEmpties, validateParams
-
Constructor Details
-
TextQuerySearchInputTransformer
public TextQuerySearchInputTransformer(String id, ClauseInformation information, JqlOperandResolver operandResolver)
-
-
Method Details
-
doRelevantClausesFitFilterForm
public boolean doRelevantClausesFitFilterForm(ApplicationUser user, Query query, SearchContext searchContext) Description copied from interface:SearchInputTransformerTells the caller whether or not the relevant clauses from the passed query can be represented on the issue navigator. Implementers of this method needs to ensure that it can represent *ALL* related clauses on the navigator, and that the clauses' structure conforms to the simple navigator structure.The method should only be concerned with the clauses related to this transformer. Other irrelevant clauses should be ignored.
- Parameters:
user- performing this action.query- to check if it can fit in the simple (GUI form based) issue navigator.searchContext- contains the projects and issue types that the search and filter form is restricted to- Returns:
- true if the query can be represented on navigator.
-
populateFromParams
public void populateFromParams(ApplicationUser user, FieldValuesHolder fieldValuesHolder, ActionParams actionParams) Description copied from interface:SearchInputTransformerPopulateFieldValuesHolderobject with whatever values the searcher is interested in from theActionParams. This transforms the "raw" request parameters into a form that the other processing methods can handle (usually a mapping of the fields name as the key and a list of the values as the value).- Parameters:
user- performing this action.fieldValuesHolder- is the object that should have its values set by this method and that will contain any other values that have been set by other SearchInputTransformers.actionParams- params from the webwork front end that contains a String[] of values as submitted via the
-
populateFromQuery
public void populateFromQuery(ApplicationUser user, FieldValuesHolder fieldValuesHolder, Query query, SearchContext searchContext) Description copied from interface:SearchInputTransformerThis method transforms any query information contained in the query that is relevant to this SearchInputTransformer into the values that the HTML rendering expects. This should populate theFieldValuesHolderfrom the a query information in the query.
The query elements that are considered "relevant" to this method would be those that are produced by theSearchInputTransformer.getSearchClause(ApplicationUser, com.atlassian.jira.issue.transport.FieldValuesHolder)method.- Parameters:
user- performing this action.fieldValuesHolder- is the object that should have its values set by this method and that will contain any other values that have been set by other SearchInputTransformers.query- the search criteria used to populate the field values holder.searchContext- contains the projects and issue types that the search and filter form is restricted to
-
getSearchClause
Description copied from interface:SearchInputTransformerGets the portion of the Search Query that this searcher is responsible for.- Parameters:
user- performing this action.fieldValuesHolder- contains values populated by the searchers- Returns:
- a
Clausethat represents the users search based on the fieldValuesHolder; null if this searcher has no responsibility in the given input.
-